Multivariate Pattern Analysis in Python

# mvpa2.mappers.base.borrowdoc

`mvpa2.mappers.base.``borrowdoc`(cls, methodname=None)

  Return a decorator to borrow docstring from another `cls`.`methodname`

  It should not be used for __init__ methods of classes derived from ClassWithCollections since __doc__’s of those are handled by the AttributeCollector anyways.

  Common use is to borrow a docstring from the class’s method for an adapter function (e.g. sphere_searchlight borrows from Searchlight)

  Parameters:

  cls

  > Usually a parent class

  methodname : None or str

  > Name of the method from which to borrow. If None, would use the same name as of the decorated method

  Examples

  To borrow `__repr__` docstring from parent class `Mapper`, do:

      @borrowdoc(Mapper)
      def __repr__(self):
          ...